@echo off
echo ---------------------- BUILD SCRIPT ----------------------
rem
echo        ADCH++ Batch Build Script Version 0.1.1
rem
echo ---------------------- BUILD SCRIPT ----------------------
echo Loading settings
rem ---------------------- SEPARATOR ----------------------
rem
rem	CONFIGURATION - SET YOUR PATHS BELOW
rem
rem ---------------------- SEPARATOR ----------------------
set zip=%PROGRAMFILES%\7-Zip\7z.exe
set adchpp=F:\dcdev_stuff\bzr\adchpp\
set nightly_build=F:\dcdev_stuff\bzr\nightly_builder\
set etc=F:\dcdev_stuff\bzr\adchpp\etc\
set scripts=F:\dcdev_stuff\bzr\adchpp\plugins\Script\examples\
set userguide=F:\dcdev_stuff\bzr\adchpp\build\docs\user_guide\
set mingw_debug=F:\dcdev_stuff\bzr\adchpp\build\debug-mingw\bin\
set mingw_release=F:\dcdev_stuff\bzr\adchpp\build\release-mingw\bin\
set msvc_debug_86=F:\dcdev_stuff\bzr\adchpp\build\debug-default\bin\
set msvc_release_86=F:\dcdev_stuff\bzr\adchpp\build\release-default\bin\
set msvc_debug_64=F:\dcdev_stuff\bzr\adchpp\build\debug-default-x64\bin\
set msvc_release_64=F:\dcdev_stuff\bzr\adchpp\build\release-default-x64\bin\
set mingw_debug_config=F:\dcdev_stuff\bzr\adchpp\build\debug-mingw\bin\config\
set mingw_release_config=F:\dcdev_stuff\bzr\adchpp\build\release-mingw\bin\config\
set msvc_debug_86_config=F:\dcdev_stuff\bzr\adchpp\build\debug-default\bin\config\
set msvc_release_86_config=F:\dcdev_stuff\bzr\adchpp\build\release-default\bin\config\
set msvc_debug_64_config=F:\dcdev_stuff\bzr\adchpp\build\debug-default-x64\bin\config\
set msvc_release_64_config=F:\dcdev_stuff\bzr\adchpp\build\release-default-x64\bin\config\
set mingw_debug_scripts=F:\dcdev_stuff\bzr\adchpp\build\debug-mingw\bin\scripts\
set mingw_release_scripts=F:\dcdev_stuff\bzr\adchpp\build\release-mingw\bin\scripts\
set msvc_debug_86_scripts=F:\dcdev_stuff\bzr\adchpp\build\debug-default\bin\scripts\
set msvc_release_86_scripts=F:\dcdev_stuff\bzr\adchpp\build\release-default\bin\scripts\
set msvc_debug_64_scripts=F:\dcdev_stuff\bzr\adchpp\build\debug-default-x64\bin\scripts\
set msvc_release_64_scripts=F:\dcdev_stuff\bzr\adchpp\build\release-default-x64\bin\scripts\
set mingw_debug_help=F:\dcdev_stuff\bzr\adchpp\build\debug-mingw\bin\help\
set mingw_release_help=F:\dcdev_stuff\bzr\adchpp\build\release-mingw\bin\help\
set msvc_debug_86_help=F:\dcdev_stuff\bzr\adchpp\build\debug-default\bin\help\
set msvc_release_86_help=F:\dcdev_stuff\bzr\adchpp\build\release-default\bin\help\
set msvc_debug_64_help=F:\dcdev_stuff\bzr\adchpp\build\debug-default-x64\bin\help\
set msvc_release_64_help=F:\dcdev_stuff\bzr\adchpp\build\release-default-x64\bin\help\
set export_mingw=F:\dcdev_stuff\shared\adchpp\nightly_builds\mingw_builds\
set export_msvc=F:\dcdev_stuff\shared\adchpp\nightly_builds\msvc_builds\
set export_source=F:\dcdev_stuff\shared\adchpp\nightly_builds\source\
rem ---------------------- SEPARATOR ----------------------
rem
rem	CONFIGURATION - END OF CONFIG
rem
rem ---------------------- SEPARATOR ----------------------
echo Checking for updates
cd %adchpp%
call bzr pull lp:adchpp
call bzr revno > ..\bzr-revno.txt
set /p adchpp-revno= < ..\bzr-revno.txt
del F:\dcdev_stuff\bzr\bzr-revno.txt
echo reversion number: %adchpp-revno%
pause
cls
echo Beginning compiling script
echo on
call scons docs=1
if errorlevel 1 goto end
echo on
call scons
if errorlevel 1 goto end
echo on
call scons mode=release
if errorlevel 1 goto end
echo on
call scons tools=default
if errorlevel 1 goto end
echo on
call scons tools=default mode=release
if errorlevel 1 goto end
echo on
call scons tools=default arch=x64
if errorlevel 1 goto end
echo on
call scons tools=default mode=release arch=x64
if errorlevel 1 goto end
@echo off
cls
echo Copying nessary files to distrobutions also removing cleaning unessary files
cd %mingw_debug%
mkdir config
mkdir scripts
mkdir help
del /S *.a
del /S *.lib
cd help
mkdir images
cd %mingw_release%
mkdir config
mkdir scripts
mkdir help
del /S *.a
del /S *.lib
cd help
mkdir images
cd %msvc_debug_86%
mkdir config
mkdir scripts
mkdir help
del /S *.a
del /S *.lib
cd help
mkdir images
cd %msvc_release_86%
mkdir config
mkdir scripts
mkdir help
del /S *.a
del /S *.lib
cd help
mkdir images
cd %msvc_debug_64%
mkdir config
mkdir scripts
mkdir help
del /S *.a
del /S *.lib
cd help
mkdir images
cd %msvc_release_64%
mkdir config
mkdir scripts
mkdir help
del /S *.a
del /S *.lib
cd help
mkdir images
cd %adchpp%
copy *.txt "%mingw_debug%"
copy *.txt "%mingw_release%"
copy *.txt "%msvc_debug_86%"
copy *.txt "%msvc_release_86%"
copy *.txt "%msvc_debug_64%"
copy *.txt "%msvc_release_64%"
copy *.conf "%mingw_debug%"
copy *.conf "%mingw_release%"
copy *.conf "%msvc_debug_86%"
copy *.conf "%msvc_release_86%"
copy *.conf "%msvc_debug_64%"
copy *.conf "%msvc_release_64%"
cd %nightly_build%
copy *.txt "%mingw_debug_config%"
copy *.txt "%mingw_release_config%"
copy *.txt "%msvc_debug_86_config%"
copy *.txt "%msvc_release_86_config%"
copy *.txt "%msvc_debug_64_config%"
copy *.txt "%msvc_release_64_config%"
copy *.bat "%mingw_debug%"
copy *.bat "%mingw_release%"
copy *.bat "%msvc_debug_86%"
copy *.bat "%msvc_release_86%"
copy *.bat "%msvc_debug_64%"
copy *.bat "%msvc_release_64%"
copy *.url "%msvc_debug_86_help%"
copy *.url "%msvc_release_86_help%"
copy *.url "%msvc_debug_64_help%"
copy *.url "%msvc_release_64_help%"
cd %etc%
copy *.xml "%mingw_debug_config%"
copy *.xml "%mingw_release_config%"
copy *.xml "%msvc_debug_86_config%"
copy *.xml "%msvc_release_86_config%"
copy *.xml "%msvc_debug_64_config%"
copy *.xml "%msvc_release_64_config%"
cd %scripts%
copy *.lua "%mingw_debug_scripts%"
copy *.lua "%mingw_release_scripts%"
copy *.lua "%msvc_debug_86_scripts%"
copy *.lua "%msvc_release_86_scripts%"
copy *.lua "%msvc_debug_64_scripts%"
copy *.lua "%msvc_release_64_scripts%"
cls
echo Compressing Distrobution
cd %userguide%
call "%zip%" a "userguide.zip"
copy userguide.zip "%mingw_debug_help%"
copy userguide.zip "%mingw_release_help%"
copy userguide.zip "%msvc_debug_86_help%"
copy userguide.zip "%msvc_release_86_help%"
copy userguide.zip "%msvc_debug_64_help%"
copy userguide.zip "%msvc_release_64_help%"
del userguide.zip
cd "%mingw_debug_help%"
call "%zip%" e "userguide.zip"
move note.png icons\
move tip.png icons\
move important.png icons\
move caution.png icons\
move adchpp_icon.png images\
move img_adchpp_debug_build.png images\
move img_adchpp_install_1.png images\
move img_adchpp_install_2.png images\
move img_adchpp_install_3.png images\
move img_adchpp_release_build.png images\
del userguide.zip
cd "%mingw_release_help%"
call "%zip%" e "userguide.zip"
move note.png icons\
move tip.png icons\
move important.png icons\
move caution.png icons\
move adchpp_icon.png images\
move img_adchpp_debug_build.png images\
move img_adchpp_install_1.png images\
move img_adchpp_install_2.png images\
move img_adchpp_install_3.png images\
move img_adchpp_release_build.png images\
del userguide.zip
cd %msvc_debug_86_help%"
call "%zip%" e "userguide.zip"
move note.png icons\
move tip.png icons\
move important.png icons\
move caution.png icons\
move adchpp_icon.png images\
move img_adchpp_debug_build.png images\
move img_adchpp_install_1.png images\
move img_adchpp_install_2.png images\
move img_adchpp_install_3.png images\
move img_adchpp_release_build.png images\
del userguide.zip
cd "%msvc_release_86_help%"
call "%zip%" e "userguide.zip"
move note.png icons\
move tip.png icons\
move important.png icons\
move caution.png icons\
move adchpp_icon.png images\
move img_adchpp_debug_build.png images\
move img_adchpp_install_1.png images\
move img_adchpp_install_2.png images\
move img_adchpp_install_3.png images\
move img_adchpp_release_build.png images\
del userguide.zip
cd "%msvc_debug_64_help%"
call "%zip%" e "userguide.zip"
move note.png icons\
move tip.png icons\
move important.png icons\
move caution.png icons\
move adchpp_icon.png images\
move img_adchpp_debug_build.png images\
move img_adchpp_install_1.png images\
move img_adchpp_install_2.png images\
move img_adchpp_install_3.png images\
move img_adchpp_release_build.png images\
del userguide.zip
cd "%msvc_release_64_help%"
call "%zip%" e "userguide.zip"
move note.png icons\
move tip.png icons\
move important.png icons\
move caution.png icons\
move adchpp_icon.png images\
move img_adchpp_debug_build.png images\
move img_adchpp_install_1.png images\
move img_adchpp_install_2.png images\
move img_adchpp_install_3.png images\
move img_adchpp_release_build.png images\
del userguide.zip
cls
cd "%mingw_debug%"
call "%zip%" a adchpp_rev_%adchpp-revno%_mingw_debug_windows_version.zip
copy *.zip "%export_mingw%"
cd "%mingw_release%"
call "%zip%" a adchpp_rev_%adchpp-revno%_mingw_release_windows_version.zip
copy *.zip "%export_mingw%"
cd "%msvc_debug_86%"
call "%zip%" a adchpp_rev_%adchpp-revno%_msvc_x86_debug_windows_version.zip
copy *.zip "%export_msvc%"
cd "%msvc_release_86%"
call "%zip%" a adchpp_rev_%adchpp-revno%_msvc_x86_release_windows_version.zip
copy *.zip "%export_msvc%"
cd "%msvc_debug_64%"
call "%zip%" a adchpp_rev_%adchpp-revno%_msvc_x64_debug_windows_version.zip
copy *.zip "%export_msvc%"
cd "%msvc_release_64%"
call "%zip%" a adchpp_rev_%adchpp-revno%_msvc_x64_release_windows_version.zip
copy *.zip "%export_msvc%"
cd %adchpp%
echo Compressing Source
call bzr export adchpp_rev_%adchpp-revno%_source.tar.gz
copy adchpp_rev_%adchpp-revno%_source.tar.gz "%export_source%"
cls
rem ---------------------- SEPARATOR ----------------------
rem
rem	FTP IS DISABLED PER DEFAULT JUST REMOVE THE REM COMMENT
rem
rem ---------------------- SEPARATOR ----------------------
rem echo uploading distrobution to ftp
rem call ftp.exe -s:adchpp_login.ftp
cls
echo removing builds builds for adchpp
del adchpp_rev_%adchpp-revno%_source.tar.gz
del .sconsign.dblite
del vc90.pdb
echo on
call scons -c
echo on
call scons mode=release -c
echo on
call scons tools=default -c
echo on
call scons tools=default mode=release -c
echo on
call scons tools=default arch=x64 -c
echo on
call scons tools=default mode=release arch=x64 -c
exit